org.jboss.jca.embedded.dsl.resourceadapters11.api

## Interface AdminObjectType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface AdminObjectType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `admin-objectType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminObjectType<T>` | `className(java.lang.String className)` Sets the `class-name` attribute
    `ConfigPropertyType<AdminObjectType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `AdminObjectType<T>` | `enabled(java.lang.Boolean enabled)` Sets the `enabled` attribute
    `java.util.List<ConfigPropertyType<AdminObjectType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` attribute
    `java.lang.String` | `getJndiName()` Returns the `jndi-name` attribute
    `ConfigPropertyType<AdminObjectType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `java.lang.String` | `getPoolName()` Returns the `pool-name` attribute
    `java.lang.Boolean` | `isEnabled()` Returns the `enabled` attribute
    `java.lang.Boolean` | `isUseJavaContext()` Returns the `use-java-context` attribute
    `AdminObjectType<T>` | `jndiName(java.lang.String jndiName)` Sets the `jndi-name` attribute
    `AdminObjectType<T>` | `poolName(java.lang.String poolName)` Sets the `pool-name` attribute
    `AdminObjectType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `AdminObjectType<T>` | `removeClassName()` Removes the `class-name` attribute
    `AdminObjectType<T>` | `removeEnabled()` Removes the `enabled` attribute
    `AdminObjectType<T>` | `removeJndiName()` Removes the `jndi-name` attribute
    `AdminObjectType<T>` | `removePoolName()` Removes the `pool-name` attribute
    `AdminObjectType<T>` | `removeUseJavaContext()` Removes the `use-java-context` attribute
    `AdminObjectType<T>` | `useJavaContext(java.lang.Boolean useJavaContext)` Sets the `use-java-context` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### className

          AdminObjectType<T> className(java.lang.String className)

      Sets the `class-name` attribute
      Parameters:
        `className` - the value for the attribute `class-name`
      Returns:
        the current instance of `AdminObjectType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` attribute
      Returns:
        the value defined for the attribute `class-name`

    - #### removeClassName

          AdminObjectType<T> removeClassName()

      Removes the `class-name` attribute
      Returns:
        the current instance of `AdminObjectType`

    - #### jndiName

          AdminObjectType<T> jndiName(java.lang.String jndiName)

      Sets the `jndi-name` attribute
      Parameters:
        `jndiName` - the value for the attribute `jndi-name`
      Returns:
        the current instance of `AdminObjectType`

    - #### getJndiName

          java.lang.String getJndiName()

      Returns the `jndi-name` attribute
      Returns:
        the value defined for the attribute `jndi-name`

    - #### removeJndiName

          AdminObjectType<T> removeJndiName()

      Removes the `jndi-name` attribute
      Returns:
        the current instance of `AdminObjectType`

    - #### enabled

          AdminObjectType<T> enabled(java.lang.Boolean enabled)

      Sets the `enabled` attribute
      Parameters:
        `enabled` - the value for the attribute `enabled`
      Returns:
        the current instance of `AdminObjectType`

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Returns the `enabled` attribute
      Returns:
        the value defined for the attribute `enabled`

    - #### removeEnabled

          AdminObjectType<T> removeEnabled()

      Removes the `enabled` attribute
      Returns:
        the current instance of `AdminObjectType`

    - #### useJavaContext

          AdminObjectType<T> useJavaContext(java.lang.Boolean useJavaContext)

      Sets the `use-java-context` attribute
      Parameters:
        `useJavaContext` - the value for the attribute `use-java-context`
      Returns:
        the current instance of `AdminObjectType`

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Returns the `use-java-context` attribute
      Returns:
        the value defined for the attribute `use-java-context`

    - #### removeUseJavaContext

          AdminObjectType<T> removeUseJavaContext()

      Removes the `use-java-context` attribute
      Returns:
        the current instance of `AdminObjectType`

    - #### poolName

          AdminObjectType<T> poolName(java.lang.String poolName)

      Sets the `pool-name` attribute
      Parameters:
        `poolName` - the value for the attribute `pool-name`
      Returns:
        the current instance of `AdminObjectType`

    - #### getPoolName

          java.lang.String getPoolName()

      Returns the `pool-name` attribute
      Returns:
        the value defined for the attribute `pool-name`

    - #### removePoolName

          AdminObjectType<T> removePoolName()

      Removes the `pool-name` attribute
      Returns:
        the current instance of `AdminObjectType`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<AdminObjectType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<AdminObjectType<T>> createConfigProperty()

      Creates a new `config-property` element
      Returns:
        the new created instance of `ConfigPropertyType>`

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<AdminObjectType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          AdminObjectType<T> removeAllConfigProperty()

      Removes all `config-property` elements
      Returns:
        the current instance of `ConfigPropertyType>`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)